@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');


:root{
    --primary-color: #b0519f;
    --text-dark: #1d293d;
    --text-light: #62748e;
    --extra-light: #fafafa;
    --white: #ffffff;
    --max-width: 1200px;
    --header-font: "Dancing Script", serif;
}


*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}


.section_container{
    max-width: var(--max-width);
    margin: auto;
    padding: 5rem 1rem;
}


.section_subheader{
    margin-bottom: 0.5rem;
    font-size: 1.75rem;
    font-weight: 700;
    font-family: var(--header-font);
    color: var(--primary-color);
    text-align: center;
}



.section_header{
    font-size: 2.5rem;
    font-weight: 700;
    color: var(--text-dark);
    text-align: center;
}



.section_description{
    font-size: 1rem;
    font-weight: 500;
    color: var(--text-light);
    line-height: 1.75rem;
    text-align: center;
}


.btn{
    padding: 0.75rem 1.5rem;
    outline: none;
    border: none;
    display: flex;
    align-items: center;
    gap: 10px;
    font-size: 1rem;
    font-family: "Roboto", serif;
    color: var(--white);
    background-color: var(--primary-color);
    border-radius: 5rem;
    transition: 0.3s;
    cursor: pointer;
}



.btn:hover{
    box-shadow: 0px 5px 20px rgba(0,0,0,0.15);
}


img{
    display: flex;
    width: 100%;
}


a{
    text-decoration: none;
    transition: 0.3s;
}


ul{
    list-style: none;
}


html,
body{
    scroll-behavior: smooth;
}


body{
    font-family: "Roboto", serif;
}



nav{
    position: fixed;
    isolation: isolate;
    width: 100%;
    z-index: 9;
}



.nav_header{
    padding: 1rem;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: var(--extra-light);
}


.nav_logo a img{
    max-width: 100px;
}



.nav_menu_btn{
    font-size: 1.5rem;
    color: var(--text-dark);
    cursor: pointer;
}


.nav_links{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
    padding: 2rem;
    background-color: var(--extra-light);
    transition: transform 0.5s;
    z-index: -1;
}


.nav_links.open{
    transform: translateY(100%)
}


.nav_links a{
    font-weight: 500;
    color: var(--text-dark);
    white-space: nowrap;
}


.nav_links a:hover{
    color: var(--primary-color);
}



.nav_links .btn{
    font-weight: 500;
    color: var(--text-dark);
    background-color: var(--extra-light);
}




.header_container{
    display: grid;
    gap: 2rem;
}


.header_image img{
    max-width: 600px;
    margin-inline: auto;
}

.header_content img{
    max-width: 150px;
    margin-inline: auto;
    transform: rotate(-10deg);
}


.header_content h1{
    margin-bottom: 1rem;
    font-size: 4rem;
    font-weight: 800;
    color: var(--text-dark);
    text-align: center;
}


.header_content form{
    margin-top: 2rem;
    padding: 1rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem 1rem;
    flex-direction: column;
    flex-wrap: wrap;
    border-radius: 1rem;
    box-shadow: 5px 5px 20px rgba(0,0,0,0.1);
}



.header_content .input_group{
    flex: 1;
    display: grid;
    gap: 0.5rem;
}



.header_content label{
    display: flex;
    align-items: center;
    gap: 0.25rem;
    font-weight: 500;
    color: var(--text-light);
}



.header_content label span{
    color: var(--primary-color);
}


.header_content input{
    width: 100%;
    outline: 0;
    border: 0;
    font-size: 1rem;
    font-weight: 600;
    color: var(--text-dark);
}


.header_content input::placeholder{
    color: var(--text-dark);
}


.header_content .btn{
    font-size: 1.2rem;
    background-color: var(--text-dark);
}


.header_content .btn:hover{
    background-color: var(--primary-color);
    cursor: pointer;
}



.about{
    background-color: var(--extra-light);
    overflow: hidden;
}

.about_container{
    display: grid;
    gap: 2rem;
}



.about_image{
    position: relative;
    isolation: isolate;
    max-width: 450px;
    margin-inline: auto;
}


.about_image img{
    border: 0.75rem solid var(--white);
    border-radius: 0.5rem;
    box-shadow: 0 0 20px rgba(0,0,0,0.1);
}


.about_image::before{
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    background-color: rgba(0,0,0,0.1);
    border-radius: 0.5rem;
    transform: rotate(8deg);
    z-index: -1;
}



.about_content .section_header{
    margin-bottom: 1rem;
}


.about_content .section_header span{
    color: var(--primary-color);
}


.about_signature{
    margin-top: 2rem;
    font-size: 2rem;
    font-weight: 600;
    font-family: var(--header-font);
    color: var(--text-dark);
    text-align: center;
}



.tour_grid{
    margin-block: 2rem;
    display: grid;
    gap: 0 1rem;
}


.tour_card{
    padding: 2rem 1rem;
    transform: 0.3s;
    border-radius: 1rem;
}


.tour_card:hover{
    box-shadow: 0 0 30px rgba(0,0,0,0.2);
    cursor: pointer;
}


.tour_card img{
    max-width: 150px;
    margin-inline: auto;
    margin-bottom: 1rem;
    border-radius: 10rem;
}



.tour_card h4{
    margin-bottom: 0.5rem;
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--text-dark);
    text-align: center;
}


.tour_card p{
    font-weight: 500;
    color: var(--text-light);
    text-align: center;
    transition: 0.3s;
}


.tour_card:hover p{
    color: var(--primary-color);
}



.tour_btn{
    display: flex;
    justify-content: center;
}








@keyframes scroll-left {
    to{
        transform: translateX(calc(-50%));
    }
}



.footer_logo{
    margin-bottom: 2rem;
}


.footer_logo img{
    max-width: 150px;
    margin-inline: auto;
}


.footer_links{
    margin-bottom: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    flex-wrap: wrap;
}



.footer_links a{
    font-weight: 500;
    color: var(--text-dark);
    white-space: nowrap;
}


.footer_links a:hover{
    color: var(--primary-color);
}



.footer_socials{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    flex-wrap: wrap;
}



.footer_socials a{
    font: 1.25rem;
    font-size: 2rem;
    color: var(--text-dark);
}


.footer_socials a:hover{
    color: var(--primary-color);
}



.footer_bar{
    padding: 1rem;
    font-size: 1rem;
    font-weight: 500;
    color: var(--text-light);
    text-align: center;
}



@media(width > 540px){
    .header_content form{
        flex-direction: row;
    }


    .tour_grid{
        grid-template-columns: repeat(2, 1fr);
    }

    .destination_grid{
        grid-template-columns: repeat(2, 1fr);
    }


    .blog_grid{
        grid-template-columns: repeat(2, 1fr);
    }
}



@media (width > 768px){
    nav{
        position: static;
        padding: 1rem;
        max-width: var(--max-width);
        margin-inline: auto;
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 1rem;
    }


    .nav_header{
        flex: 1;
        padding: 0;
        background-color: transparent;
    }

    .nav_menu_btn{
        display: none;
    }


    .nav_links{
        position: static;
        width: fit-content;
        padding: 0;
        flex-direction: row;
        gap: 3rem;
        background-color: transparent;
        transform: none !important;
    }


    .nav_links a{
        padding-bottom: 0.5rem;
        border-bottom: 2px solid transparent;
    }


    .nav_links a:hover{
        border-color: var(--primary-color);
    }


    .nav_links .btn{
        color: var(--white);
        background-color: var(--primary-color);
    }


    .header_container{
        padding-top: 2rem;
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
    }


    .header_image{
        grid-area: 1/2/2/3;
    }

    .header_content :is(h1, .section_description){
        text-align: left;
    }


    .about_container{
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
    }


    .about_content :is(.section_header,.section_description,.about_signature){
        text-align: left ;
    }



    .tour_grid{
        grid-template-columns: repeat(4, 1fr);
    }


    

    .footer_links{
        gap: 3rem;
    }


}



@media (width > 1024px){
    .tour_grid{
        gap: 1.5rem;
    }


   


    .blog_content{
        padding: 1.5rem;
        padding-bottom: 2rem;
    }
}









.banner {
  text-align: center;
  padding: 20px;
}

.partner {
  font-size: 1.2rem;
  font-weight: 600;
  margin-bottom: 15px;
}

/* The container for your partner logos */
.banner_container {
  display: flex;
  justify-content: center; /* centers horizontally */
  align-items: center;
  gap: 30px; /* spacing between images */
  flex-wrap: wrap; /* ensures images don’t overflow on smaller screens */
}

/* Styling for the images */
.banner_container img {
  width: 50px; /* size reduced to 50px wide */
  height: auto; /* keep aspect ratio */
  object-fit: contain;
  transition: transform 0.3s ease; /* smooth hover effect */
}

/* Optional: small hover animation */
.banner_container img:hover {
  transform: scale(1.1);
}



.partner{
    margin-bottom: 0.5rem;
    font-size: 1.95rem;
    font-weight: 700;
    font-family: "Roboto", serif;;
    color: var(--text-dark);
    text-align: center;
}